package com.tptj.demo.hg.transmission.decrypt.provider;

import com.fr.decision.fun.impl.AbstractTransmissionEncryptionProcessor;
import com.fr.decision.web.CommonComponent;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ScriptPath;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-05-27
 **/
@EnableMetrics
public class Demo1 extends AbstractTransmissionEncryptionProcessor {
    @Override
    public String encrypt(String data) {
        return data+"demo";
    }

    @Override
    @Focus(id="com.tptj.demo.hg.transmission.decrypt.provider.v10",text = "传输加解密接口")
    public String decrypt(String code) {
        return code.substring( 0, code.length()-4 );
    }

    @Override
    public Atom attach() {
        return CommonComponent.KEY;
    }

    @Override
    public Atom client() {
        return new Component(){
            @Override
            public ScriptPath script(RequestClient var1) {
                return ScriptPath.build("/com/tptj/demo/hg/transmission/decrypt/provider/demo.js");
            }
        };
    }
}
